Subject: Re: bug#50067: Context menus

From: Eli Zaretskii <[email-masked]>
Date: Fri, 20 Aug 2021 20:59:47 +0300

> From: Juri Linkov <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked],
>   [email-masked],  [email-masked],  [email-masked]
> Date: Fri, 20 Aug 2021 19:36:58 +0300
> 
> > OK, but I still don't think I fully understand how context menus are
> > different.  Are we sure the user will immediately understand the
> > purpose of the context menus, but not of a buffer-menu?
> 
> Context menus displayed up by down-mouse-3 are ubiquitous nowadays,
> they are everywhere, and the users expect them without a title,
> unlike Emacs-specific menus unfamiliar to most users.

So if some menu is popped up by mouse-3, it is automatically
considered ubiquitous and expected?  I really doubt that, but I won't
argue any further.

> >> Using a text property would be a good solution.  Should then
> >> the NS-specific "Select" title be removed in menu.c
> >> when the title has a special text property?
> >
> > I'm not sure I understand what is the NS-specific "Select" title.  Can
> > you point me to the relevant code?
> 
> I meant such patch:

OK, but where in that patch is the NS-specific "Select" title that
should be removed?